users_list
GET
/api/users/
const url = 'https://example.com/api/users/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/users/ \ --header 'Authorization: Bearer <token>'Get the list of users
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”ordering
string
Which field to use when ordering the results.
page
integer
A page number within the paginated result set.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
count
required
integer
next
string format: uri
previous
string format: uri
results
required
Array<object>
Serializer for the MadbotUser model.
object
id
required
string format: uuid
username
required
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
string
email
required
Email address
string format: email
first_name
string
last_name
string
is_signup_incomplete
required
boolean
social_accounts
required
Retrieve the social accounts associated with the user.
Array<object>
object
key
additional properties
impersonation
required
Return active impersonation session data if the request token is an impersonation token.
Checks whether the current request’s OAuth2 token matches an active
:class:~madbot_api.core.models.ImpersonateSession. Returns None
for all normal (non-impersonated) requests, or when the serializer
is used without a request context (e.g. in tests or admin).
object
key
additional properties
ror
required
string
orcid
string
last_workspace
string
last_path
string
Example
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2"}
